diff mbox

[v2,4/7] iotests: Source common.env

Message ID 1400617425-14942-5-git-send-email-mreitz@redhat.com
State New
Headers show

Commit Message

Max Reitz May 20, 2014, 8:23 p.m. UTC
Source common.env in the iotests' check script. If the one supposed to
be created by configure cannot be found, use common.env.default from the
source tree.

Signed-off-by: Max Reitz <mreitz@redhat.com>
---
 tests/qemu-iotests/check | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
diff mbox

Patch

diff --git a/tests/qemu-iotests/check b/tests/qemu-iotests/check
index aa30ce5..f7f6cb3 100755
--- a/tests/qemu-iotests/check
+++ b/tests/qemu-iotests/check
@@ -100,6 +100,22 @@  then
     fi
 fi
 
+# we need common.env
+if [ -n "$build_iotests" ]
+then
+    configured_common_env="$build_iotests/common.env"
+else
+    configured_common_env="$source_iotests/common.env"
+fi
+
+if ! . "$configured_common_env"
+then
+    if ! . "$source_iotests/common.env.default"
+    then
+        _init_error "failed to source common.env"
+    fi
+fi
+
 # we need common.config
 if ! . "$source_iotests/common.config"
 then